package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author DongZl
 * @description: 路径信息
 * @Date 2023-11-20 上午 09:28
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("route_info")
public class PositionRouteInfo {

    /**
     * 主键
     */
    @TableId("id")
    private Long id;

    /**
     * 名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 数据
     */
    @TableField(value = "data")
    private String routeData;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;
}
